authorizations.md
Authorizations
An Authorization (also known as a card hold) reserves a specific amount on a card to be captured (i.e. debited) at a later date, usually within seven days. When an Authorization is captured it produces a Transfer resource.
Create an Authorization
- POST /authorizations: Create an Authorization to process a transaction.
List Authorizations
- GET /authorizations: Retrieve a list of Authorizations.
For details on how to query endpoints using the available parameters, see Query Parameters.
{% admonition type="info" %} If no query parameters are specified in the request the API automatically limits the response to records from the last 30 days. You can request older data by passing an explicit created_at.lte filter. {% /admonition %}
Fetch an Authorization
- GET /authorizations/{authorization_id}: Retrieve the details of a previously created Authorization.
Capture an Authorization
- PUT /authorizations/{authorization_id}: Use a PUT request to capture an Authorization. If captured successfully, the transfer field of the Authorization will contain the ID of the Transfer resource that moves funds.
Void an Authorization
- PUT /authorizations/{authorization_id_void_to}: Use a PUT request to void an Authorization. If voided successfully, funds get released, and the transaction is incomplete. Additionally, a voided Authorization can no longer be captured. Depending on the cardholder’s issuing bank, voids can take up to seven days to remove the Authorization hold.